View Issue Details

IDProjectCategoryView StatusLast Update
0019738LazarusIDEpublic2012-02-29 11:33
ReporterPaul MichellAssigned ToMaxim Ganetsky 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.30.1 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0019738: LegalCopyright and LegalTrademarks not showing in Windows VersionInfo
DescriptionSince changing to the version info stringtable, Lazarus does not create LegalCopyright and LegalTrademarks version strings any more.
The attached patch adds them again for new projects.
TagsNo tags attached.
Fixed in Revision31703
LazTarget-
WidgetsetWin32/Win64
Attached Files
  • ProjectVersion.patch (675 bytes)
    Index: ide/w32versioninfo.pas
    ===================================================================
    --- ide/w32versioninfo.pas	(revision 31692)
    +++ ide/w32versioninfo.pas	(working copy)
    @@ -701,6 +701,8 @@
         'FileDescription',
         'FileVersion',
         'InternalName',
    +    'LegalCopyright',
    +    'LegalTrademarks',
         'OriginalFilename',
         'ProductName',
         'ProductVersion'
    @@ -747,6 +749,8 @@
         (aKey = 'FileDescription') or
         (aKey = 'FileVersion') or
         (aKey = 'InternalName') or
    +    (aKey = 'LegalCopyright') or
    +    (aKey = 'LegalTrademarks') or
         (aKey = 'OriginalFilename') or
         (aKey = 'ProductName') or
         (aKey = 'ProductVersion');
    
    ProjectVersion.patch (675 bytes)

Relationships

has duplicate 0020239 closedMaxim Ganetsky Where are the keys 'LegalCopyright', 'LegalTrademarks' in the "Others Informations" of the project's options ? 

Activities

2011-07-14 11:59

 

ProjectVersion.patch (675 bytes)
Index: ide/w32versioninfo.pas
===================================================================
--- ide/w32versioninfo.pas	(revision 31692)
+++ ide/w32versioninfo.pas	(working copy)
@@ -701,6 +701,8 @@
     'FileDescription',
     'FileVersion',
     'InternalName',
+    'LegalCopyright',
+    'LegalTrademarks',
     'OriginalFilename',
     'ProductName',
     'ProductVersion'
@@ -747,6 +749,8 @@
     (aKey = 'FileDescription') or
     (aKey = 'FileVersion') or
     (aKey = 'InternalName') or
+    (aKey = 'LegalCopyright') or
+    (aKey = 'LegalTrademarks') or
     (aKey = 'OriginalFilename') or
     (aKey = 'ProductName') or
     (aKey = 'ProductVersion');
ProjectVersion.patch (675 bytes)

Maxim Ganetsky

2011-07-15 02:08

developer   ~0049996

Actually Lazarus does create these fields, but only in new projects.

BTW, you forgot Comments field.

I made a fix based on your patch. Thanks for the hint.

Please test and close if ok.

Paul Michell

2012-02-29 11:33

reporter   ~0057161

Thanks

Issue History

Date Modified Username Field Change
2011-07-14 11:59 Paul Michell New Issue
2011-07-14 11:59 Paul Michell File Added: ProjectVersion.patch
2011-07-14 11:59 Paul Michell Widgetset => Win32/Win64
2011-07-15 02:08 Maxim Ganetsky Fixed in Revision => 31703
2011-07-15 02:08 Maxim Ganetsky LazTarget => -
2011-07-15 02:08 Maxim Ganetsky Status new => resolved
2011-07-15 02:08 Maxim Ganetsky Fixed in Version => 0.9.31 (SVN)
2011-07-15 02:08 Maxim Ganetsky Resolution open => fixed
2011-07-15 02:08 Maxim Ganetsky Assigned To => Maxim Ganetsky
2011-07-15 02:08 Maxim Ganetsky Note Added: 0049996
2011-09-15 00:21 Maxim Ganetsky Relationship added has duplicate 0020239
2012-02-29 11:33 Paul Michell Status resolved => closed
2012-02-29 11:33 Paul Michell Note Added: 0057161